using Mall.Common.Plugin;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Mall.Common.Enum.User
{
    /// <summary>
    /// 用户导出选项枚举
    /// </summary>
    public enum MiAiUserExportEnum
    {
        /// <summary>
        /// 所属平台
        /// </summary>
        [EnumField("所属平台")]
        SSPT = 1,
        /// <summary>
        /// 用户ID
        /// </summary>
        [EnumField("用户ID")]
        YHID = 2,
        /// <summary>
        /// 平台标识ID
        /// </summary>
        [EnumField("平台标识ID")]
        PTBSID = 3,
        /// <summary>
        /// 昵称
        /// </summary>
        [EnumField("昵称")]
        NC = 4,
        /// <summary>
        /// 绑定手机号
        /// </summary>
        [EnumField("绑定手机号")]
        BDSJH = 5,
        /// <summary>
        /// 联系方式
        /// </summary>
        [EnumField("联系方式")]
        LXFS = 6,
        /// <summary>
        /// 备注
        /// </summary>
        [EnumField("备注")]
        BZ = 7,
        /// <summary>
        /// 加入时间
        /// </summary>
        [EnumField("加入时间")]
        JRSJ = 8,
        /// <summary>
        /// 会员等级
        /// </summary>
        [EnumField("会员等级")]
        HYDJ = 9,
        /// <summary>
        /// 年龄
        /// </summary>
        [EnumField("年龄")]
        AGE = 10,
        /// <summary>
        /// 身高
        /// </summary>
        [EnumField("身高")]
        SG = 11,
        /// <summary>
        /// 体重
        /// </summary>
        [EnumField("体重")]
        TZ = 12,
        /// <summary>
        /// 年收入
        /// </summary>
        [EnumField("年收入")]
        YEARMONEY = 13,
        /// <summary>
        /// 车辆信息
        /// </summary>
        [EnumField("车辆信息")]
        CARINFO = 14,
        /// <summary>
        /// 房屋信息
        /// </summary>
        [EnumField("房屋信息")]
        HOUSERINFO = 15,
        /// <summary>
        /// 学历
        /// </summary>
        [EnumField("学历")]
         XL = 16,
        /// <summary>
        /// 婚姻
        /// </summary>
        [EnumField("婚姻")]
        HY = 17
    }
}
